Page MenuHomePhabricator

data-ve-clipboard-key attribute added in wikitable
Closed, ResolvedPublic8 Story Points

Description

https://fr.wikipedia.org/w/index.php?title=Commander_in_Chief&diff=prev&oldid=121295880

<span data-ve-clipboard-key="0.15385571799130593-1"> was added in the wikitable
Seems similar to: T76749

Event Timeline

TheDJ created this task.Dec 15 2015, 11:05 PM
TheDJ updated the task description. (Show Details)
TheDJ raised the priority of this task from to Needs Triage.
TheDJ added a project: VisualEditor.
TheDJ added a subscriber: TheDJ.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 15 2015, 11:05 PM
Jdforrester-WMF triaged this task as Normal priority.Jan 12 2016, 8:09 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

New catch on fr.wp, with <span data-ve-clipboard-key="0.7541924023058636-0"> added to a table here.

Pols12 added a subscriber: Pols12.Apr 4 2016, 1:43 PM

Steps to reproduce:

  1. Open two tabs with different wikipedia article and edit them with VE (I am using Firefox)
  2. Copy [text] from one article and paste it into the second article.

If [text] contains unformated text, links, bold text, italic text or templates: no problem.

If [text] contains section title, subscript, superscript, underlined text, strikethrough text, center HTML tag: it inserts data-ve-clipboard-key span.

If [text] contains a span tag (with red color CSS style), it inserts data-ve-clipboard-key span and add data-ve-attributes="{&quot;style&quot;:&quot;color:red&quot;}" to the pasted span.

Note: [text] should already be saved in the article, not added without saving while VE is opening; in order to test.

Elitre added a subscriber: Elitre.Apr 15 2016, 11:05 AM
eranroz added a subscriber: eranroz.Jun 4 2017, 6:40 PM

still reproducible. I noticed the issue on hewiki

Elitre added a comment.Jun 5 2017, 6:26 PM

Still happening is a different thing: can you confirm what you tried on he.wiki to reproduce?

I went looking on the French Wikipedia. This issue, or something similar, still seems to be occurring, e.g. an edit from a few days ago introduced this attribute. This does seem to a very rare issue, however.

DLynch added a subscriber: DLynch.Nov 7 2017, 5:23 PM

Reproduction note: we only add the data-ve-clipboard-key span in browsers which don't support clipboardData custom data formats. This means Safari, IE (not Edge), or Firefox before version 48-ish (August 2016). It doesn't make a difference which browser you're pasting into, but it has to be copied from one of those.

Change 389750 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ce.Surface: on paste, make sure clipboardKey spans don't show up

https://gerrit.wikimedia.org/r/389750

Change 389750 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ce.Surface: on paste, make sure clipboardKey spans don't show up

https://gerrit.wikimedia.org/r/389750

Change 391137 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (7d7966df9)

https://gerrit.wikimedia.org/r/391137

Jdforrester-WMF closed this task as Resolved.Nov 16 2017, 6:15 PM
Jdforrester-WMF assigned this task to DLynch.
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 16 2017, 6:15 PM
Jdforrester-WMF changed the point value for this task from 1 to 8.Nov 22 2017, 6:54 PM